Bug 140191 - WKWebView provides no access to cookies
Summary: WKWebView provides no access to cookies
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: iPhone / iPad All
: P2 Major
Assignee: Brady Eidson
URL:
Keywords: InRadar
: 158901 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-01-07 11:43 PST by Eugene But
Modified: 2017-05-24 12:48 PDT (History)
19 users (show)

See Also:


Attachments
Patch v1 (75.68 KB, patch)
2016-06-17 22:28 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Not for review - Initial EWS run (70.38 KB, patch)
2017-03-12 18:57 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (67.17 KB, patch)
2017-03-13 00:45 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (68.93 KB, patch)
2017-03-13 01:13 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch for review (83.88 KB, patch)
2017-03-13 01:35 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (83.98 KB, patch)
2017-03-13 07:29 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (87.00 KB, patch)
2017-03-13 09:07 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (86.98 KB, patch)
2017-03-13 10:24 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (88.20 KB, patch)
2017-03-13 11:25 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (89.14 KB, patch)
2017-03-13 12:14 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (89.84 KB, patch)
2017-03-13 12:57 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (90.00 KB, patch)
2017-03-13 13:20 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (90.04 KB, patch)
2017-03-13 14:15 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (90.12 KB, patch)
2017-03-13 15:41 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene But 2015-01-07 11:43:31 PST
With UIWebView, it's possible to set, remove, and clear cookies using NSHTTPCookieStorage. WKWebView does not appear to interoperate with NSHTTPCookieStorage, and has no API for cookies. This makes it impossible to do things like:
- Set authentication cookies from native code based on native login
- Swap cookie stores for a multi-profile/-user setup

Steps to Reproduce:
N/A, but for example:
- Create a trivial WKWebView app
- Browser around
- Log [[NSHTTPCookieStorage sharedHTTPCookieStorage] cookies] and see that it's empty.

Expected Results:
Either NSHTTPCookieStorage working as expected (as it did with UIWebView), or WK* APIs for inspecting and manipulating cookies.

Actual Results:
No apparent way to interact with cookies.
Comment 1 Eugene But 2015-01-07 15:58:03 PST
Radar ID: 17486250
Comment 2 Stefan Arentz 2015-05-12 07:51:21 PDT
On iOS 8.3 I do get a list of cookies from NSHTTPCookieStorage().sharedHTTPCookieStorage().cookies but the results are unpredictable:

Eventually I do get a list of cookies of sites that I visited but it seems there is a delay between cookies being available via NSHTTPCookieStorage.

Setting a WKProcessPool made no difference.

WKWebView probably syncs cookies back to the UI process on its own schedule. Not after each navigation.
Comment 3 Brady Eidson 2016-06-17 22:17:47 PDT
*** Bug 158901 has been marked as a duplicate of this bug. ***
Comment 4 Brady Eidson 2016-06-17 22:20:15 PDT
Have a patch that does this, but I'm not quite done with it, as I should make it handle the request in https://bugs.webkit.org/show_bug.cgi?id=140205 as well.
Comment 5 Brady Eidson 2016-06-17 22:28:19 PDT
Created attachment 281607 [details]
Patch v1

Meh, may as well review this one as is.

I'll add 140205 functionality in a followup (and that patch will be much, much smaller)
Comment 6 WebKit Commit Bot 2016-06-17 22:30:00 PDT
Attachment 281607 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:74:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:119:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:53:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:43:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:48:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:138:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:144:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 9 in 31 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Alex Christensen 2016-06-17 23:00:50 PDT
Comment on attachment 281607 [details]
Patch v1

View in context: https://bugs.webkit.org/attachment.cgi?id=281607&action=review

> Source/WebCore/ChangeLog:12
> +        * platform/Cookie.h:

This needs some explanation.  You added three new member variables: comment, commentURL, ports.

> Source/WebCore/platform/network/NetworkStorageSession.h:107
> +Vector<Cookie> NetworkStorageSession::getAllCookies()

This needs to be inline after including Cookie.h, or in a cpp.  I prefer the latter.

> Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:46
> +    [webView loadHTMLString:@"Oh hello" baseURL:[NSURL URLWithString:@"http://webkit.org"]];

We should load some JavaScript that sets cookies and make sure that it shows up in the correct cookie storage.
Comment 8 Brady Eidson 2016-06-18 08:51:22 PDT
(In reply to comment #7)
> Comment on attachment 281607 [details]
> Patch v1
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=281607&action=review
> 
> > Source/WebCore/ChangeLog:12
> > +        * platform/Cookie.h:
> 
> This needs some explanation.  You added three new member variables: comment,
> commentURL, ports.
> 

It's pretty self explanatory in code, but I'll add a comment that explains what the code explains.

> > Source/WebCore/platform/network/NetworkStorageSession.h:107
> > +Vector<Cookie> NetworkStorageSession::getAllCookies()
> 
> This needs to be inline after including Cookie.h, or in a cpp.  I prefer the
> latter.
> 

Hmmmm...  yah, not sure why I built fine locally.

> > Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:46
> > +    [webView loadHTMLString:@"Oh hello" baseURL:[NSURL URLWithString:@"http://webkit.org"]];
> 
> We should load some JavaScript that sets cookies and make sure that it shows
> up in the correct cookie storage.

Good idea.
Comment 9 Brady Eidson 2016-06-18 08:54:03 PDT
Other changes I plan on making are making the set and get cookies methods take an optional completion handler.

I'll get to these changes sometime soonish
Comment 10 Alex Christensen 2016-06-18 13:08:18 PDT
(In reply to comment #9)
> Other changes I plan on making are making the set and get cookies methods
> take an optional completion handler.
You mean set and delete?  I was thinking about that, too.  We might want info about what cookie was there before setting or deleting.  Get with an optional completion handler wouldn't be very useful, though.
Comment 11 Brady Eidson 2016-06-19 20:33:25 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > Other changes I plan on making are making the set and get cookies methods
> > take an optional completion handler.
> You mean set and delete?  I was thinking about that, too.  We might want
> info about what cookie was there before setting or deleting.  Get with an
> optional completion handler wouldn't be very useful, though.

Yes, I meant set and delete.

Get is taken care of.

I'm not sure its useful to have info about the cookie that was set or deleted. Doesn't exist in the current NS-API, and it would slow down the whole set or delete operation, as we'd have to manually fetch.

If clients were interested they could fetch ahead of time for themselves.
Comment 12 Alex Christensen 2016-06-20 00:44:25 PDT
Comment on attachment 281607 [details]
Patch v1

Yes, probably a good idea to conceptually match NSHTTPCookieStorage, but asynchronous obviously because everything's in a different process.  What about removeCookiesSinceDate and getting/setting cookieAcceptPolicy?
Comment 13 Brady Eidson 2016-06-20 08:45:11 PDT
(In reply to comment #12)
> Comment on attachment 281607 [details]
> Patch v1
> 
> Yes, probably a good idea to conceptually match NSHTTPCookieStorage, but
> asynchronous obviously because everything's in a different process.  What
> about removeCookiesSinceDate and getting/setting cookieAcceptPolicy?

https://bugs.webkit.org/show_bug.cgi?id=140191#c4 and https://bugs.webkit.org/show_bug.cgi?id=140191#c5 explain how I'll do the policy separately.

I'll also file a followup for removeCookiesSinceData - Don't want to keep making this patch bigger when it's already not 100% of the task.
Comment 14 Anders Carlsson 2016-06-21 11:26:31 PDT
Comment on attachment 281607 [details]
Patch v1

I don't think this should be a property on the WKWebView - it should be on the WKWebsiteDataStore - that's where all the other website data lives.
Comment 15 David Kilzer (:ddkilzer) 2016-10-22 18:45:54 PDT
<rdar://problem/17486250>
Comment 16 Carlos Garcia Campos 2017-02-06 23:58:06 PST
Any plans to finish this? I guess we really need to make the new HTTPCookieStorage a property of WebsiteDataStore as Anders suggested, and also make it session ID aware. We could probably reuse WebCookieManagerProxy by adding a sessionID parameter to all the IPC messages. We use the default session ID in the old API implementation, and the WebsiteDataStore session ID in the new one. I can help with this if needed.
Comment 17 rhu 2017-02-24 16:20:33 PST
+1 having access to the WKWebView would enable single-sign-on support.  We have had to downgrade to UIWebView because of this limitation.
Comment 18 Brady Eidson 2017-03-12 18:51:16 PDT
(In reply to comment #16)
> Any plans to finish this? 

Stay tuned. Waiting on a couple of other patches to work their way through CQ.
Comment 19 Brady Eidson 2017-03-12 18:57:52 PDT
Created attachment 304213 [details]
Not for review - Initial EWS run
Comment 20 WebKit Commit Bot 2017-03-12 19:00:03 PDT
Attachment 304213 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:309:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:314:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:319:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:77:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:62:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:83:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:96:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:109:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:122:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:135:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.cpp:161:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:46:  The parameter name "sessionID" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:48:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:49:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:53:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebsiteData/WebCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:57:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:59:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:63:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:65:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:66:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:44:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:65:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:72:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:86:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:93:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:200:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:215:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:237:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 61 in 32 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 21 Brady Eidson 2017-03-13 00:45:48 PDT
Created attachment 304237 [details]
Patch
Comment 22 WebKit Commit Bot 2017-03-13 00:48:37 PDT
Attachment 304237 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:309:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:314:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:319:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:77:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:64:  The parameter name "websiteDataStore" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:200:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:215:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:237:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 44 in 33 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 23 Brady Eidson 2017-03-13 01:13:31 PDT
Created attachment 304238 [details]
Patch
Comment 24 WebKit Commit Bot 2017-03-13 01:20:52 PDT
Attachment 304238 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:309:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:314:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:319:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:64:  The parameter name "websiteDataStore" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 46 in 33 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Brady Eidson 2017-03-13 01:28:01 PDT
Will be adding much more extensive tests (as Alex had suggested last year, but also to cover the entire API), but this upcoming patch will be ready for review regardless
Comment 26 Brady Eidson 2017-03-13 01:35:18 PDT
Created attachment 304242 [details]
Patch for review
Comment 27 WebKit Commit Bot 2017-03-13 01:37:01 PDT
Attachment 304242 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:309:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:314:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:319:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:733:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:64:  The parameter name "websiteDataStore" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 46 in 37 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 28 mitz 2017-03-13 06:27:05 PDT
Comment on attachment 304242 [details]
Patch for review

View in context: https://bugs.webkit.org/attachment.cgi?id=304242&action=review

> Source/WebKit2/ChangeLog:8
> +        This adds a new _WKHTTPCookieManager SPI.

There is very little detail in this change log, but this one detail is wrong.
Comment 29 Brady Eidson 2017-03-13 07:29:45 PDT
Created attachment 304255 [details]
Patch
Comment 30 WebKit Commit Bot 2017-03-13 07:31:44 PDT
Attachment 304255 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:309:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:314:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:319:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:64:  The parameter name "websiteDataStore" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 46 in 37 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 31 Brady Eidson 2017-03-13 09:07:13 PDT
Created attachment 304261 [details]
Patch
Comment 32 WebKit Commit Bot 2017-03-13 09:09:43 PDT
Attachment 304261 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:309:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:314:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:319:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:64:  The parameter name "websiteDataStore" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 46 in 38 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 33 mitz 2017-03-13 09:20:58 PDT
I suggest preemptively wrapping the new SPI headers in NS_ASSUME_NONNULL_{BEGIN,END} (like all the API headers), and then removing all the “nonnull” specifiers.
Comment 34 Brady Eidson 2017-03-13 10:24:07 PDT
Created attachment 304269 [details]
Patch
Comment 35 WebKit Commit Bot 2017-03-13 10:26:50 PDT
Attachment 304269 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:309:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:314:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebCore/platform/network/soup/NetworkStorageSessionSoup.cpp:319:  Tab found; better to use spaces  [whitespace/tab] [1]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:64:  The parameter name "websiteDataStore" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 46 in 38 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 36 Tim Horton 2017-03-13 10:53:59 PDT
Comment on attachment 304269 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=304269&action=review

> Source/WebKit2/UIProcess/API/Cocoa/_WKHTTPCookieStorage.mm:42
> +        [nsCookies addObject:(NSHTTPCookie*)cookie];

Star's on the wrong side :P

> Source/WebKit2/UIProcess/WebsiteData/WebsiteDataStore.cpp:1151
> +                // have a data store; They should.

They

> Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:30
> +#if PLATFORM(MAC)

Why Mac only?

> Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:46
> +    auto window = adoptNS([[NSWindow alloc] initWithContentRect:[webView frame] styleMask:NSBorderlessWindowMask backing:NSBackingStoreBuffered defer:YES]);
> +    [[window contentView] addSubview:webView.get()];

Why do you need a window? If you do, can you use TestWKWebView?
Comment 37 Brady Eidson 2017-03-13 11:25:36 PDT
Created attachment 304276 [details]
Patch
Comment 38 WebKit Commit Bot 2017-03-13 11:27:14 PDT
Attachment 304276 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 42 in 38 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 39 Brady Eidson 2017-03-13 12:14:54 PDT
Created attachment 304285 [details]
Patch
Comment 40 WebKit Commit Bot 2017-03-13 12:17:37 PDT
Attachment 304285 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 42 in 39 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 41 Brady Eidson 2017-03-13 12:57:34 PDT
Created attachment 304288 [details]
Patch
Comment 42 WebKit Commit Bot 2017-03-13 13:00:22 PDT
Attachment 304288 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 42 in 39 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 43 Brady Eidson 2017-03-13 13:20:50 PDT
Created attachment 304290 [details]
Patch
Comment 44 WebKit Commit Bot 2017-03-13 13:22:36 PDT
Attachment 304290 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:182:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:182:  Missing space inside { }.  [whitespace/braces] [5]
Total errors found: 44 in 39 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 45 Brady Eidson 2017-03-13 14:15:15 PDT
Created attachment 304299 [details]
Patch
Comment 46 WebKit Commit Bot 2017-03-13 14:18:07 PDT
Attachment 304299 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:182:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:182:  Missing space inside { }.  [whitespace/braces] [5]
Total errors found: 44 in 39 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 47 Tim Horton 2017-03-13 15:24:09 PDT
Comment on attachment 304299 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=304299&action=review

Also please address ggaren's offline comments.

> Source/WebKit2/ChangeLog:10
> +        After the implementation is landed and we review internally we'll consider promoting to API.

Not necessarily a great changelog line.

> Source/WebKit2/UIProcess/API/Cocoa/WKHTTPCookieStorage.h:53
> + @param cookies The cookie to set.

Cookie*s*?

> Source/WebKit2/UIProcess/WebsiteData/WebsiteDataStore.cpp:122
> +    // FIXME: We need to start to unravel this mess going forward.

Please.

> Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:77
> +    [cookieStorage setCookie:cookie1.get() completionHandler:nil];
> +    [cookieStorage setCookie:cookie2.get() completionHandler:nil];

Seems like you should make sure these completion handlers get called! And also have tests for e.g. what happens if the web/network process dies while doing this, etc.
Comment 48 Brady Eidson 2017-03-13 15:33:33 PDT
(In reply to comment #47)
> Comment on attachment 304299 [details]
> Patch
> 
> > Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:77
> > +    [cookieStorage setCookie:cookie1.get() completionHandler:nil];
> > +    [cookieStorage setCookie:cookie2.get() completionHandler:nil];
> 
> Seems like you should make sure these completion handlers get called! And
> also have tests for e.g. what happens if the web/network process dies while
> doing this, etc.

I'll change this basic test to have completion handlers there.

More edge case tests coming soon!
Comment 49 Brady Eidson 2017-03-13 15:41:40 PDT
Created attachment 304314 [details]
Patch
Comment 50 WebKit Commit Bot 2017-03-13 15:44:15 PDT
Attachment 304314 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:70:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:73:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:75:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:76:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:78:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:79:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:81:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.h:82:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:64:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/C/WKCookieManager.cpp:69:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:76:  Missing space before {  [whitespace/braces] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKit2Cocoa/WKHTTPCookieStorage.mm:83:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/Automation/WebAutomationSession.cpp:737:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:51:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:52:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:54:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:55:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:56:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:60:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.h:61:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/Cocoa/WKProcessPool.mm:199:  Missing space inside { }.  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:47:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:58:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:69:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:80:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:91:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:102:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:113:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/APIHTTPCookieStorage.cpp:124:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:100:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:130:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:139:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:148:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:157:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:166:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:175:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:209:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:224:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/WebCookieManagerProxy.cpp:246:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:182:  Missing space before {  [whitespace/braces] [5]
ERROR: Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:182:  Missing space inside { }.  [whitespace/braces] [5]
Total errors found: 46 in 39 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 51 WebKit Commit Bot 2017-03-13 16:00:53 PDT
Comment on attachment 304314 [details]
Patch

Clearing flags on attachment: 304314

Committed r213877: <http://trac.webkit.org/changeset/213877>
Comment 52 WebKit Commit Bot 2017-03-13 16:01:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 53 rhu 2017-03-13 16:08:10 PDT
Thank you again!
Comment 54 Carlos Alberto Lopez Perez 2017-03-13 17:18:29 PDT
Committed r213879: <http://trac.webkit.org/changeset/213879>
Comment 55 Ryan Haddad 2017-03-13 18:04:31 PDT
(In reply to comment #51)
> Comment on attachment 304314 [details]
> Patch
> 
> Clearing flags on attachment: 304314
> 
> Committed r213877: <http://trac.webkit.org/changeset/213877>

This change appears to have caused API test WebKit2.CookieManager to fail with an assertion: https://build.webkit.org/builders/Apple%20El%20Capitan%20Debug%20WK2%20%28Tests%29/builds/11623/steps/run-api-tests/logs/stdio
Comment 56 Brady Eidson 2017-03-13 19:40:09 PDT
(In reply to comment #55)
> (In reply to comment #51)
> > Comment on attachment 304314 [details]
> > Patch
> > 
> > Clearing flags on attachment: 304314
> > 
> > Committed r213877: <http://trac.webkit.org/changeset/213877>
> 
> This change appears to have caused API test WebKit2.CookieManager to fail
> with an assertion:
> https://build.webkit.org/builders/
> Apple%20El%20Capitan%20Debug%20WK2%20%28Tests%29/builds/11623/steps/run-api-
> tests/logs/stdio

Looking into it now. Please disable the test instead of rolling out if I can't resolve it quickly enough.
Comment 57 Brady Eidson 2017-03-13 19:51:56 PDT
(In reply to comment #56)
> (In reply to comment #55)
> > (In reply to comment #51)
> > > Comment on attachment 304314 [details]
> > > Patch
> > > 
> > > Clearing flags on attachment: 304314
> > > 
> > > Committed r213877: <http://trac.webkit.org/changeset/213877>
> > 
> > This change appears to have caused API test WebKit2.CookieManager to fail
> > with an assertion:
> > https://build.webkit.org/builders/
> > Apple%20El%20Capitan%20Debug%20WK2%20%28Tests%29/builds/11623/steps/run-api-
> > tests/logs/stdio
> 
> Looking into it now. Please disable the test instead of rolling out if I
> can't resolve it quickly enough.

There is something to be cleaned up here, but in the meantime it's a debug-only assert that doesn't cause a big problem in release builds.

I'm going to disable the test for now because I probably won't be able to fix tonight, but will first thing tomorrow AM.
Comment 58 Brady Eidson 2017-03-14 08:53:43 PDT
(In reply to comment #57)
> (In reply to comment #56)
> > (In reply to comment #55)
> > > (In reply to comment #51)
> > > > Comment on attachment 304314 [details]
> > > > Patch
> > > > 
> > > > Clearing flags on attachment: 304314
> > > > 
> > > > Committed r213877: <http://trac.webkit.org/changeset/213877>
> > > 
> > > This change appears to have caused API test WebKit2.CookieManager to fail
> > > with an assertion:
> > > https://build.webkit.org/builders/
> > > Apple%20El%20Capitan%20Debug%20WK2%20%28Tests%29/builds/11623/steps/run-api-
> > > tests/logs/stdio
> > 
> > Looking into it now. Please disable the test instead of rolling out if I
> > can't resolve it quickly enough.
> 
> There is something to be cleaned up here, but in the meantime it's a
> debug-only assert that doesn't cause a big problem in release builds.
> 
> I'm going to disable the test for now because I probably won't be able to
> fix tonight, but will first thing tomorrow AM.

Working on it over in https://bugs.webkit.org/show_bug.cgi?id=169581
Comment 59 Csaba Osztrogonác 2017-03-15 02:14:00 PDT
(In reply to comment #51)
> Comment on attachment 304314 [details]
> Patch
> 
> Clearing flags on attachment: 304314
> 
> Committed r213877: <http://trac.webkit.org/changeset/213877>

It broke the Apple Mac cmake build:
https://build.webkit.org/builders/Apple%20El%20Capitan%20CMake%20Debug%20%28Build%29/builds/12991
Comment 60 rhu 2017-05-24 12:40:31 PDT
Just wondering (sorry about the dup question) -- do you have any sense of when these patches will make themselves into iOS updates?  Would clients need to have WebKit updated too or is it primarily on the iOS SDK side?
Comment 61 Tim Horton 2017-05-24 12:48:02 PDT
(In reply to rhu from comment #60)
> Just wondering (sorry about the dup question) -- do you have any sense of
> when these patches will make themselves into iOS updates?

Apple doesn't comment on the timing/content of updates.

> Would clients need to have WebKit updated too or is it primarily on the iOS SDK side?

Things like this will certainly require the client to update.